%define upstream_name    Class-Unload
%define upstream_version 0.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Unload a class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Inspector)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.90.0-3.mga6
+ Revision: 1024254
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.90.0-2.mga6
+ Revision: 968282
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 0.90.0-1.mga6
+ Revision: 852001
- update to 0.09

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-4.mga5
+ Revision: 741788
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-3.mga5
+ Revision: 683948
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.80.0-2.mga4
+ Revision: 526479
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 jquelin <jquelin> 0.80.0-1.mga4
+ Revision: 437103
- update to 0.08

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-2.mga3
+ Revision: 364525
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 16 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 52292
- update to 0.07

* Wed Jan 19 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 24085
- cleaning spec file
- imported package perl-Class-Unload

